2

I installed Tweaks from here, by method described in the README.md.

curl -sL  http://i-hate-farms.github.io/spores/install | sudo bash - 
sudo apt-get install elementary-tweaks

Now I want to delete it, but I can not do it correctly.

maxim@ProBook:~$ sudo apt-get remove elementary-tweaks
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  elementary-tweaks
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
After this operation, 1,263 kB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 159565 files and directories currently installed.)
Removing elementary-tweaks (1.0.1) ...
Processing triggers for libglib2.0-0:amd64 (2.42.2-0ubuntu1~14.04~ricotz0) ...
sh: 1: /usr/lib/x86_64-linux-gnu/switchboard/personal/tweaks/theme-patcher: not found
E: Problem executing scripts DPkg::Post-Invoke '/usr/lib/x86_64-linux-gnu/switchboard/personal/tweaks/theme-patcher'
E: Sub-process returned an error code
maxim@ProBook:~$ 

Now at work with other packages this error haunts me:

sh: 1: /usr/lib/x86_64-linux-gnu/switchboard/personal/tweaks/theme-patcher: not found
E: Problem executing scripts DPkg::Post-Invoke '/usr/lib/x86_64-linux-gnu/switchboard/personal/tweaks/theme-patcher'
E: Sub-process returned an error code
2

Reinstalling libglib2.0-0 will fix this error in my case.

sudo apt-get install --reinstall libglib2.0-0 libglib2.0-bin libglib2.0-data
0

To remove a package use ubuntu software center or

sudo apt-get autoremove elementary-tweaks

To reinstall :

sudo apt-get install --reinstall elementary-tweaks
0

I can help you get rid of the haunting error.

Remove the line referencing /etc/apt/apt.conf.d/99theme-patcher in /var/lib/dpkg/info/elementary-tweaks.list. And then delete the /etc/apt/apt.conf.d/99theme-patcher file itself.

It's probably not a perfect solution, maybe the /var/lib/dpkg/info/elementary-tweaks.list file should go away entirely, but I have installed a new version of elementary-tweaks and I don't want to break that one.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.